# pointpats.k_test

pointpats.k_test(coordinates, support=None, distances=None, metric='euclidean', hull=None, edge_correction=None, keep_simulations=False, n_simulations=9999)

  Ripley’s K function

  This function counts the number of pairs of points that are closer than a given distance. As d increases, K approaches the number of point pairs.

  When the K function is below simulated values, it suggests that the pattern is dispersed.

  Parameters:
    coordinates geopandas object | numpy.ndarray, (n,2)

      input coordinates to function

    support tuple of length 1, 2, or 3, int, or numpy.ndarray

      tuple, encoding (stop,), (start, stop), or (start, stop, num) int, encoding number of equally-spaced intervals numpy.ndarray, used directly within numpy.histogram

    distances: numpy.ndarray, (n, p) or (p,)

      distances from every point in a random point set of size p to some point in coordinates

    metric: str or callable

      distance metric to use when building search tree

    hull: bounding box, scipy.spatial.ConvexHull, shapely.geometry.Polygon

      the hull used to construct a random sample pattern, if distances is None

    edge_correction: bool or str

      whether or not to conduct edge correction. Not yet implemented.

    keep_simulations: bool

      whether or not to keep the simulation envelopes. If so, will be returned as the result’s simulations attribute

    n_simulations: int

      how many simulations to conduct, assuming that the reference pattern has complete spatial randomness.

  Returns:
    a named tuple with properties
    - support, the exact distance values used to evalute the statistic
    - statistic, the values of the statistic at each distance
    - pvalue, the percent of simulations that were as extreme as the observed value
    - simulations, the distribution of simulated statistics (shaped (n_simulations, n_support_points))

        or None if keep_simulations=False (which is the default)